# Administration Reference

## vos status

Purpose

Reports a Volume Server's status

Synopsis

    vos status -server <machine name>  [-cell <cell name>]  [-noauth]
               [-localauth]  [-verbose]  [-help]

    vos st -s <machine name>  [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

Description

The vos status command reports on what the Volume Server on a certain file server machine is doing at the moment the command is issued. If there is no activity, the following message appears:

       No active transactions on machine_name

This command is useful mainly if there is concern that the Volume Server is not performing requested actions.

Options

-server
  Identifies the file server machine running the Volume Server for which to display status information. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

There are two possible types of output.

The following message indicates that the Volume Server is not currently performing any actions.

       No active transactions on machine name

The other possible output is a set of information which is probably more useful to programmers than to system administrators. A full understanding of all the fields requires familiarity with the code for the Volume Server, as many of the fields report ID numbers and flag values that the Volume Server sets for internal use.

Among the fields of possible interest to an administrator are:

- `created` on the first line, which indicates the time at which this transaction started

- `attachFlags` on the second line, where a value of `offline` indicates that the volume is not available for other read or write operations during this transaction

- `volume` on the third line, which specifies the affected volume's ID number

- `partition` on the third line, which indicates where the affected volume resides (at the beginning of the transaction if this is a move)

- `procedure` on the third line, which indicates the internal subprocedure being executed

A fourth line can appear during certain transactions, and includes the following fields:

- `packetRead` tracks whether information is being read into the volume. Its absolute value is not informative, but the way it changes shows whether the vos restore command is executing properly. As the vos status command is issued repeatedly during a restore, `readNext` increases monotonically to indicate that information is being read into the volume.

- `packetSend` tracks whether information is being sent out of the volume. Its absolute value is not informative, but the way it changes shows whether the vos dump command is executing properly. As the vos status command is issued repeatedly during a dump, `transmitNext` increases monotonically to indicate that information is being transferred from the volume into the dump file.

The `lastReceiveTime` and `lastSendTime` are for internal use.

Examples

The following example illustrates the kind of output that sometimes appears when the Volume Server on fs1.abc.com is executing a dump at the time this command is issued.

       % vos status fs1.abc.com
       --------------------------------------------
       transaction: 575  created: Tue Jan 2 8:34:56 1990
       attachFlags: offline
       volume: 536871080 partition: /vicepb procedure: Dump
       packetRead: 2 lastReceiveTime: 113313 packetSend: 24588
           lastSendTime: 113317
       --------------------------------------------

Privilege Required

None

Related Information

vos

© IBM Corporation 2000. All Rights Reserved